import request from "@/utils/request"

// 搜索查询
export function search(data) {
    return request.post({
        url: '/api/search',
        data
    })
}

// 查询当前用户业务列表
export function businessList(data) {
    return request.post({
        url: '/acc/profile/bizList',
        data
    })
}

// 设置常用服务
export function bizFavoriteSetting(data) {
    return request.post({
        url: '/acc/biz/favoriteSetting',
        data
    })
}

// CRM 列表
export function businessCRMList(data) {
    return request.post({
        url: '/api/businessCRMList',
        data
    })
}

// CRM 查询走访报告列表
export function visitorReportList(data) {
    return request.post({
        url: '/api/visitorReportList',
        data
    })
}

// CRM 客户列表
export function getGuestList(data) {
    return request.post({
        url: '/api/guestList',
        data
    })
}

// CRM 查询走访报告详情
export function visitorReportDetail(data) {
    return request.post({
        url: '/api/visitorReportDetail',
        data
    })
}

// CRM 查询走访报告列表
export function mattersList(data) {
    return request.post({
        url: '/api/mattersList',
        data
    })
}